# fakesink

Dummy sink that swallows everything.

## Example launch line

     gst-launch-1.0 audiotestsrc num-buffers=1000 ! fakesink sync=false

Render 1000 audio buffers (of default size) as fast as possible.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──fakesink

## Factory details

Authors: – Erik Walthinsen <omega@cse.ogi.edu>, Wim Taymans <wim@fluendo.com>, Mr. 'frag-me-more' Vanderwingo <wingo@fluendo.com></wingo@fluendo.com></wim@fluendo.com></omega@cse.ogi.edu>

Classification: – `Sink`

Rank – none

Plugin – coreelements

Package – GStreamer

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

## Signals

### handoff

    handoff_callback (GstElement * fakesink,
                      GstBuffer * buffer,
                      GstPad * pad,
                      gpointer udata)

    def handoff_callback (fakesink, buffer, pad, udata):
        #python callback for the 'handoff' signal

    function handoff_callback(fakesink: GstElement * fakesink, buffer: GstBuffer * buffer, pad: GstPad * pad, udata: gpointer udata): {
        // javascript callback for the 'handoff' signal
    }

This signal gets emitted before unreffing the buffer.

Parameters:

`fakesink` –

the fakesink instance

`buffer` –

the buffer that just has been received

`pad` –

the pad that received it

`udata` –
No description available

Flags: Run Last

### preroll-handoff

    preroll_handoff_callback (GstElement * fakesink,
                              GstBuffer * buffer,
                              GstPad * pad,
                              gpointer udata)

    def preroll_handoff_callback (fakesink, buffer, pad, udata):
        #python callback for the 'preroll-handoff' signal

    function preroll_handoff_callback(fakesink: GstElement * fakesink, buffer: GstBuffer * buffer, pad: GstPad * pad, udata: gpointer udata): {
        // javascript callback for the 'preroll-handoff' signal
    }

This signal gets emitted before unreffing the buffer.

Parameters:

`fakesink` –

the fakesink instance

`buffer` –

the buffer that just has been received

`pad` –

the pad that received it

`udata` –
No description available

Flags: Run Last

## Properties

### can-activate-pull

    “can-activate-pull” gboolean

Can activate in pull mode

Flags : Read / Write

Default value : false

### can-activate-push

    “can-activate-push” gboolean

Can activate in push mode

Flags : Read / Write

Default value : true

### drop-out-of-segment

    “drop-out-of-segment” gboolean

Drop and don't render / hand off out-of-segment buffers

Flags : Read / Write

Default value : true

### dump

    “dump” gboolean

Dump buffer contents to stdout

Flags : Read / Write

Default value : false

### last-message

    “last-message” gchararray

The message describing current status

Flags : Read

Default value : NULL

### num-buffers

    “num-buffers” gint

Number of buffers to accept going EOS

Flags : Read / Write

Default value : -1

### signal-handoffs

    “signal-handoffs” gboolean

Send a signal before unreffing the buffer

Flags : Read / Write

Default value : false

### silent

    “silent” gboolean

Don't produce last_message events

Flags : Read / Write

Default value : true

### state-error

    “state-error” Fake-sink-state-error *

Generate a state change error

Flags : Read / Write

Default value : none (0)

## Named constants

### Fake-sink-state-error

Possible state change errors for the state-error property.

#### Members

`none` (0) – No state change errors
`null-to-ready` (1) – Fail state change from NULL to READY
`ready-to-paused` (2) – Fail state change from READY to PAUSED
`paused-to-playing` (3) – Fail state change from PAUSED to PLAYING
`playing-to-paused` (4) – Fail state change from PLAYING to PAUSED
`paused-to-ready` (5) – Fail state change from PAUSED to READY
`ready-to-null` (6) – Fail state change from READY to NULL

The results of the search are